QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QXmppArchiveChatIq Class Reference
Stanzas

Represents an archive chat as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

Inheritance diagram for QXmppArchiveChatIq:

List of all members.

## Public Member Functions
QXmppArchiveChat | chat () const
| Returns the chat conversation carried by this IQ.
void | setChat (const QXmppArchiveChat &chat)
| Sets the chat conversation carried by this IQ.

## Detailed Description

Represents an archive chat as defined by XEP-0136: Message Archiving.

It is used to get chat as a QXmppArchiveChat.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp

All Classes Functions Enumerations Enumerator Properties